package fr.mael.jiwigo.om;

import java.util.ArrayList;

import org.jdom.Element;

/*
Copyright (c) 2010, Mael
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
 * Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
 * Neither the name of jiwigo nor the
   names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL Mael BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/**

 * @author mael
 *
 */
public class Category {

    private ArrayList<Integer> idParentCategories;
    private Integer identifier;
    private String urlCategory;
    private Integer nbImages;
    private Integer nbTotalImages;
    private ArrayList<Category> childCategories;
    private ArrayList<Category> parentCategories;
    private String name;
    private Element element;
    private Integer directParent;
    private Integer level;

    public Category() {
	childCategories = new ArrayList<Category>();
	parentCategories = new ArrayList<Category>();
    }

    @Override
    public String toString() {
	return name;
    }

    /**
     * @return the urlCategory
     */
    public String getUrlCategory() {
	return urlCategory;
    }

    /**
     * @param urlCategory the urlCategory to set
     */
    public void setUrlCategory(String urlCategory) {
	this.urlCategory = urlCategory;
    }

    /**
     * @return the nbImages
     */
    public Integer getNbImages() {
	return nbImages;
    }

    /**
     * @param nbImages the nbImages to set
     */
    public void setNbImages(Integer nbImages) {
	this.nbImages = nbImages;
    }

    /**
     * @return the nbTotalImages
     */
    public Integer getNbTotalImages() {
	return nbTotalImages;
    }

    /**
     * @param nbTotalImages the nbTotalImages to set
     */
    public void setNbTotalImages(Integer nbTotalImages) {
	this.nbTotalImages = nbTotalImages;
    }

    /**
     * @return the element
     */
    public Element getElement() {
	return element;
    }

    /**
     * @param element the element to set
     */
    public void setElement(Element element) {
	this.element = element;
    }

    public Integer getLevel() {
	return level;
    }

    public void setLevel(Integer level) {
	this.level = level;
    }

    public ArrayList<Integer> getIdParentCategories() {
	return idParentCategories;
    }

    public void setIdParentCategories(ArrayList<Integer> idParentCategories) {
	this.idParentCategories = idParentCategories;
    }

    public Integer getIdentifier() {
	return identifier;
    }

    public void setIdentifier(Integer identifier) {
	this.identifier = identifier;
    }

    public ArrayList<Category> getChildCategories() {
	return childCategories;
    }

    public void setChildCategories(ArrayList<Category> childCategories) {
	this.childCategories = childCategories;
    }

    public ArrayList<Category> getParentCategories() {
	return parentCategories;
    }

    public void setParentCategories(ArrayList<Category> parentCategories) {
	this.parentCategories = parentCategories;
    }

    public String getName() {
	return name;
    }

    public void setName(String name) {
	this.name = name;
    }

    public Integer getDirectParent() {
	return directParent;
    }

    public void setDirectParent(Integer directParent) {
	this.directParent = directParent;
    }

}
